*********************************************************************
* FSIZE.PRG mit FSIZE.BIN
* ein kleines Programm, welches die Dateigrsse einer Datei unter
* dBASE III/IV ermittelt
* Autor: Anatoli Stepanowitsch, Dubna/GUS
* Stand: 4.12.1992
*********************************************************************
* Wie arbeitet dieses Programm?
* -----------------------------
* Es mu vor allem eine Integer-Variable in dBase angelegt werden:
* K=0
*   oder
* STORE 0 TO TTT
* dann FSize laden mit
* LOAD [lfw:][pfad]fsize[.bin]
* und schlielich ausfhren der Funktion/Prozedur FILELEN:
* DO FILELEN WITH '[lfw:][pfad]Filename',Intvar
*   z.B.:
* DO FILELEN WITH 'A:\fsize.bin',k
*   oder
* DO FILELEN WITH 'dbase.exe',ttt
* In der Integer-Variable (k oder ttt) kann nach der Beendung
* dieser Prozedure die Dateigre entnommen werden.
* ------------------------------------------------------------------

* Beispielprogramm dieser Funktion/Prozedur:

set talk off
set echo off
FS=0                            && setzt Variable fr Bytegrsse
clear
set talk on
accept 'FileName: ' to S	&& bernimmt den Filenamen
load fsize                      && startet FSIZE.BIN
do filelen with S,FS		&& fhrt Unterprogramm/Funktion aus

? 'Gre des Files ',S,' ist ',FS,' Bytes'
set talk on
set echo on
return

*---------------------------------
Procedure Filelen

parameters FName,Size
set talk off
store '12345678'+FName+'$' to WStr
call fsize with WStr
Size=val(substr(WSTr,1,8))
return
*---------------------------------
